Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class BirthRequestType

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.BirthRequestType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:31:34+02:00",
               comments="JAXB RI v2.2.11")
    public class BirthRequestType

extends Object
implements Serializable

information about the birth of a person

Java class for BirthRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BirthRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BirthDate" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}IncompleteDateType"/>
             <element name="BirthPlace" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}WhereRequestType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`BirthRequestType()`

Method Summary
`String` | `getBirthDate()` Gets the value of the birthDate property.
`WhereRequestType` | `getBirthPlace()` Gets the value of the birthPlace property.
`void` | `setBirthDate(String value)` Sets the value of the birthDate property.
`void` | `setBirthPlace(WhereRequestType value)` Sets the value of the birthPlace property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BirthRequestType

    public BirthRequestType()

Method Detail

### getBirthDate

    public String getBirthDate()

  Gets the value of the birthDate property.

  Returns:
    possible object is `String`

### setBirthDate

    public void setBirthDate(String value)

  Sets the value of the birthDate property.

  Parameters:
    `value` - allowed object is `String`

### getBirthPlace

    public WhereRequestType getBirthPlace()

  Gets the value of the birthPlace property.

  Returns:
    possible object is `WhereRequestType`

### setBirthPlace

    public void setBirthPlace(WhereRequestType value)

  Sets the value of the birthPlace property.

  Parameters:
    `value` - allowed object is `WhereRequestType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.